<!-- HTML header for doxygen 1.8.9.1-->
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.11"/>
<title>OpenThread: otBorderRouterConfig Struct Reference</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<script type="text/javascript">
  $(document).ready(initResizable);
  $(window).load(resizeHeight);
</script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { init_search(); });
</script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="../../Open-Thread-Logo-200x42.png"/></td>
  <td style="padding-left: 0.5em;">
   <div id="projectname">
   &#160;<span id="projectnumber">gddd0704</span>
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.11 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "../../search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="../../index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="../../modules.html"><span>Modules</span></a></li>
      <li><a href="../../namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="../../annotated.html"><span>Classes</span></a></li>
      <li><a href="../../files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="../../search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="../../search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="../../annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="../../classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="../../inherits.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="../../functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
$(document).ready(function(){initNavTree('dd/dd0/structotBorderRouterConfig.html','../../');});
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="summary">
<a href="#pub-attribs">Public Attributes</a> &#124;
<a href="../../db/d82/structotBorderRouterConfig-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">otBorderRouterConfig Struct Reference<div class="ingroups"><a class="el" href="../../d0/d2d/group__api.html">API</a> &raquo; <a class="el" href="../../d1/d44/group__config.html">Configuration</a> &raquo; <a class="el" href="../../db/da2/group__config-br.html">Border Router</a></div></div>  </div>
</div><!--header-->
<div class="contents">

<p>This structure represents a Border Router configuration.  
 <a href="../../dd/dd0/structotBorderRouterConfig.html#details">More...</a></p>

<p><code>#include &lt;<a class="el" href="../../dc/dbf/openthread-types_8h_source.html">include/openthread-types.h</a>&gt;</code></p>
<div class="dynheader">
Collaboration diagram for otBorderRouterConfig:</div>
<div class="dyncontent">
<div class="center"><img src="../../d8/dcf/structotBorderRouterConfig__coll__graph.png" border="0" usemap="#otBorderRouterConfig_coll__map" alt="Collaboration graph"/></div>
<map name="otBorderRouterConfig_coll__map" id="otBorderRouterConfig_coll__map">
<area shape="rect" id="node2" href="../../d2/ddd/structotIp6Prefix.html" title="This structure represents an IPv6 prefix. " alt="" coords="38,92,123,117"/>
<area shape="rect" id="node3" href="../../d6/d55/structotIp6Address.html" title="This structure represents an IPv6 address. " alt="" coords="31,5,131,31"/>
</map>
<center><span class="legend">[<a target="top" href="../../graph_legend.html">legend</a>]</span></center></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-attribs"></a>
Public Attributes</h2></td></tr>
<tr class="memitem:a5c009110abe241276bf9cefb13e11822"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a5c009110abe241276bf9cefb13e11822"></a>
<a class="el" href="../../d2/ddd/structotIp6Prefix.html">otIp6Prefix</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dd/dd0/structotBorderRouterConfig.html#a5c009110abe241276bf9cefb13e11822">mPrefix</a></td></tr>
<tr class="memdesc:a5c009110abe241276bf9cefb13e11822"><td class="mdescLeft">&#160;</td><td class="mdescRight">The IPv6 prefix. <br /></td></tr>
<tr class="separator:a5c009110abe241276bf9cefb13e11822"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a581993094e5a7b6c1eb69bf6d5c55340"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a581993094e5a7b6c1eb69bf6d5c55340"></a>
int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dd/dd0/structotBorderRouterConfig.html#a581993094e5a7b6c1eb69bf6d5c55340">mPreference</a>: 2</td></tr>
<tr class="memdesc:a581993094e5a7b6c1eb69bf6d5c55340"><td class="mdescLeft">&#160;</td><td class="mdescRight">A 2-bit signed integer indicating router preference as defined in RFC 4291. <br /></td></tr>
<tr class="separator:a581993094e5a7b6c1eb69bf6d5c55340"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2cbb73bd5a2311773b612bfbb2164bc2"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dd/dd0/structotBorderRouterConfig.html#a2cbb73bd5a2311773b612bfbb2164bc2">mPreferred</a>: 1</td></tr>
<tr class="memdesc:a2cbb73bd5a2311773b612bfbb2164bc2"><td class="mdescLeft">&#160;</td><td class="mdescRight">TRUE, if <code>mPrefix</code> is preferred.  <a href="#a2cbb73bd5a2311773b612bfbb2164bc2">More...</a><br /></td></tr>
<tr class="separator:a2cbb73bd5a2311773b612bfbb2164bc2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:acb3d9aa94909a591af0a48e93809160c"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dd/dd0/structotBorderRouterConfig.html#acb3d9aa94909a591af0a48e93809160c">mSlaac</a>: 1</td></tr>
<tr class="memdesc:acb3d9aa94909a591af0a48e93809160c"><td class="mdescLeft">&#160;</td><td class="mdescRight">TRUE, if <code>mPrefix</code> should be used for address autoconfiguration.  <a href="#acb3d9aa94909a591af0a48e93809160c">More...</a><br /></td></tr>
<tr class="separator:acb3d9aa94909a591af0a48e93809160c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4c51169916172340439b8c363dbb6968"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dd/dd0/structotBorderRouterConfig.html#a4c51169916172340439b8c363dbb6968">mDhcp</a>: 1</td></tr>
<tr class="memdesc:a4c51169916172340439b8c363dbb6968"><td class="mdescLeft">&#160;</td><td class="mdescRight">TRUE, if this border router is a DHCPv6 Agent that supplies IPv6 address configuration.  <a href="#a4c51169916172340439b8c363dbb6968">More...</a><br /></td></tr>
<tr class="separator:a4c51169916172340439b8c363dbb6968"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9fafbcb14f9369efeaf5d360fb8a1447"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dd/dd0/structotBorderRouterConfig.html#a9fafbcb14f9369efeaf5d360fb8a1447">mConfigure</a>: 1</td></tr>
<tr class="memdesc:a9fafbcb14f9369efeaf5d360fb8a1447"><td class="mdescLeft">&#160;</td><td class="mdescRight">TRUE, if this border router is a DHCPv6 Agent that supplies other configuration data.  <a href="#a9fafbcb14f9369efeaf5d360fb8a1447">More...</a><br /></td></tr>
<tr class="separator:a9fafbcb14f9369efeaf5d360fb8a1447"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5a65e884930293c4a40c253524c56327"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dd/dd0/structotBorderRouterConfig.html#a5a65e884930293c4a40c253524c56327">mDefaultRoute</a>: 1</td></tr>
<tr class="memdesc:a5a65e884930293c4a40c253524c56327"><td class="mdescLeft">&#160;</td><td class="mdescRight">TRUE, if this border router is a default route for <code>mPrefix</code>.  <a href="#a5a65e884930293c4a40c253524c56327">More...</a><br /></td></tr>
<tr class="separator:a5a65e884930293c4a40c253524c56327"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1319bf366108cae969556d26cabc4cd2"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dd/dd0/structotBorderRouterConfig.html#a1319bf366108cae969556d26cabc4cd2">mOnMesh</a>: 1</td></tr>
<tr class="memdesc:a1319bf366108cae969556d26cabc4cd2"><td class="mdescLeft">&#160;</td><td class="mdescRight">TRUE, if this prefix is considered on-mesh.  <a href="#a1319bf366108cae969556d26cabc4cd2">More...</a><br /></td></tr>
<tr class="separator:a1319bf366108cae969556d26cabc4cd2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6b0ab66d71377681702e00905e849f43"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dd/dd0/structotBorderRouterConfig.html#a6b0ab66d71377681702e00905e849f43">mStable</a>: 1</td></tr>
<tr class="memdesc:a6b0ab66d71377681702e00905e849f43"><td class="mdescLeft">&#160;</td><td class="mdescRight">TRUE, if this configuration is considered Stable Network Data.  <a href="#a6b0ab66d71377681702e00905e849f43">More...</a><br /></td></tr>
<tr class="separator:a6b0ab66d71377681702e00905e849f43"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>This structure represents a Border Router configuration. </p>
</div><h2 class="groupheader">Member Data Documentation</h2>
<a class="anchor" id="a9fafbcb14f9369efeaf5d360fb8a1447"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool otBorderRouterConfig::mConfigure</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>TRUE, if this border router is a DHCPv6 Agent that supplies other configuration data. </p>
<p>FALSE, otherwise. </p>

</div>
</div>
<a class="anchor" id="a5a65e884930293c4a40c253524c56327"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool otBorderRouterConfig::mDefaultRoute</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>TRUE, if this border router is a default route for <code>mPrefix</code>. </p>
<p>FALSE, otherwise. </p>

</div>
</div>
<a class="anchor" id="a4c51169916172340439b8c363dbb6968"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool otBorderRouterConfig::mDhcp</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>TRUE, if this border router is a DHCPv6 Agent that supplies IPv6 address configuration. </p>
<p>FALSE, otherwise. </p>

</div>
</div>
<a class="anchor" id="a1319bf366108cae969556d26cabc4cd2"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool otBorderRouterConfig::mOnMesh</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>TRUE, if this prefix is considered on-mesh. </p>
<p>FALSE, otherwise. </p>

</div>
</div>
<a class="anchor" id="a2cbb73bd5a2311773b612bfbb2164bc2"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool otBorderRouterConfig::mPreferred</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>TRUE, if <code>mPrefix</code> is preferred. </p>
<p>FALSE, otherwise. </p>

</div>
</div>
<a class="anchor" id="acb3d9aa94909a591af0a48e93809160c"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool otBorderRouterConfig::mSlaac</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>TRUE, if <code>mPrefix</code> should be used for address autoconfiguration. </p>
<p>FALSE, otherwise. </p>

</div>
</div>
<a class="anchor" id="a6b0ab66d71377681702e00905e849f43"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool otBorderRouterConfig::mStable</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>TRUE, if this configuration is considered Stable Network Data. </p>
<p>FALSE, otherwise. </p>

</div>
</div>
<hr/>The documentation for this struct was generated from the following file:<ul>
<li>include/<a class="el" href="../../dc/dbf/openthread-types_8h_source.html">openthread-types.h</a></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../dd/dd0/structotBorderRouterConfig.html">otBorderRouterConfig</a></li>
    <li class="footer">Generated on Fri Oct 14 2016 08:44:35 for OpenThread by
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="../../doxygen.png" alt="doxygen"/></a> 1.8.11 </li>
  </ul>
</div>
</body>
</html>
